# 🥭 Mango Explorer

## 👛 Set up a devnet wallet

_This section is optional - if you know what you're doing please feel free to ignore it_

A Solana wallet is just a `Keypair` of private and public keys, and you can create a suitable wallet using:
```
generate-keypair
```

This will create a wallet and write it to the file `id.json` - a common location where other `mango-explorer` commands will look for it. (Other ways of storing and sharing keys are possible.)

We're setting this up on 'devnet', Solana's developer network where tokens are free and no money is at risk. We do still need SOL to 'pay' for transactions, but devnet SOL is also free and we can get some by running:
```
airdrop --symbol SOL --quantity 1 --cluster-name devnet
```

Let's also get some devnet USDC while we're at it - we'll use this to allow us to buy and sell Mango 'perps'.
```
airdrop --symbol USDC --quantity 10000 --faucet B87AhxX6BkBsj3hnyHzcerX2WxPoACC7ZyDr8E7H9geN --cluster-name devnet
```

Your wallet should now contain $10,000 devnet USDC and just under 1 SOL (some SOL was used to pay for the USDC airdrop transaction).


# 🦮 Support

[🥭 Mango Markets](https://mango.markets/) support is available at: [Docs](https://docs.mango.markets/) | [Discord](https://discord.gg/67jySBhxrg) | [Twitter](https://twitter.com/mangomarkets) | [Github](https://github.com/blockworks-foundation) | [Email](mailto:hello@blockworks.foundation)